> For the complete documentation index, see [llms.txt](https://docs.rumi.systems/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rumi.systems/rumi-core/reference/supported-os-and-runtimes.md).

# Supported OS and Runtimes

This section list the runtimes and associated versions supported by the current version of Rumi.

## Java

The current release of Rumi has been run and tested on the following Java versions

<table><thead><tr><th width="102">Version</th><th width="122">Oracle JDK</th><th width="234">Azul Zulu (OpenJDK)</th><th>Azul Platform Prime (Zing)</th></tr></thead><tbody><tr><td>Java 8</td><td>jdk1.8.0_381</td><td>zulu8.74.0.17-ca-jdk8.0.392</td><td>zing23.09.0.0-7-jdk8.0.382</td></tr><tr><td>Java 11</td><td>jdk-11.0.20</td><td>zulu11.68.17-ca-jdk11.0.21</td><td>zing23.09.0.0-7-jdk11.0.20.1</td></tr><tr><td>Java 17</td><td>jdk-17.0.9</td><td>zulu17.46.19-ca-jdk17.0.9</td><td>zing23.09.0.0-7-jdk17.0.8.1</td></tr><tr><td>Java21</td><td>jdk-21.0.8</td><td>zulu21.46.19-ca-jdk21.0.9</td><td>zing25.10.0.0-4-jdk21.0.8.0.101</td></tr></tbody></table>

### Running with Java 11 or Beyond

To run Rumi based applications using Java 11 and beyond, certain additional Java modules need to be opened. The following JVM params open the additional Java modules needed by Rumi

```
--add-opens=java.base/jdk.internal.ref=ALL-UNNAMED --add-opens=java.base/sun.nio.ch=ALL-UNNAMED --add-opens=java.base/java.lang=ALL-UNNAMED --add-opens=java.base/java.nio=ALL-UNNAMED --add-opens=java.base/java.io=ALL-UNNAMED --add-opens=java.management/sun.management=ALL-UNNAMED --illegal-access=warn
```

## Operating Systems

### Development

Rumi is supported for development on any operating system supported by the above JVMs

### Production

Rumi is supported for production on the following operating systems

<mark style="color:blue;">**Linux**</mark>

| Minimum Kernel Version | Minimum libc Version |
| :--------------------: | :------------------: |
|         3.10.0         |         2.17         |

### Test

This section lists the OS versions against which the various Rumi test suites have been run for this release.

**REGRESSION**

Rumi *regression* test suite for this release has been run on the following operating systems

<mark style="color:blue;">**CentOS 7.9**</mark>

| Kernel Version | glibc Version |
| :------------: | :-----------: |
|     3.10.0     |      2.17     |

**SANITY**

Rumi *sanity* test suite for this release has been run on the following operating systems

<mark style="color:blue;">**CentOS 7.9**</mark>

| Kernel Version | glibc Version |
| :------------: | :-----------: |
|     3.10.0     |      2.17     |

<mark style="color:blue;">**Amazon Linux 2023**</mark>

| Kernel Version | glibc Version |
| :------------: | :-----------: |
|     6.1.41     |      2.34     |

**PERFORMANCE**

Rumi *performance* test suite for this release has been run on the following operating systems

<mark style="color:blue;">**CentOS 7.9**</mark>

| Kernel Version | glibc Version |
| :------------: | :-----------: |
|     3.10.0     |      2.17     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rumi.systems/rumi-core/reference/supported-os-and-runtimes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
